Description

This is a guide on how to install Emby Media Server on Arch Linux.

Prepare the Environment

o Make sure the system is up to date:
sudo pacman -Syu
e |nstall the base-devel and wget packages:
sudo pacman -S base-devel wget rsync

e |nstall yaourt

Install Emby

¢ Install emby:
yaourt emby-server
e Start and enable emby at boot:

sudo systemctl enable emby-server
sudo systemctl start emby-server

e Finish the installation by completing the setup wizard at http://emby.example.com:8096

Setup SSL

e Generate a strong SSL key and a CSR to send for signing by a CA:

cd /etc/ssl
openssl req -shabl2 -out media.example.com.csr -—-new -newkey rsa:4096 -nodes —-keyout emby.examp
le.com.key

e Send the CSR off to a CA to make a signed certificate, then add the contents of the certificate to the server:

vi /usr/local/etc/ssl/emby.example.com.crt
https://project.altservice.com/issues/509
http://emby.example.com:8096

e Generate a pfx file for emby to use

cd /etc/ssl
openssl pkcsl2 -export -in emby.example.com.crt —-inkey emby.example.com.key -out emby.example.
com.pfx

e Next log into http://emby.example.com:8096 and go to Setting -> Advanced -> Hosting and set the Custom certificate path to
/etc/ssl/media.example.com.pfx

Resources

¢ https://emby.media/downloads/linux-server/
e http://dominicm.com/install-emby-server-on-arch-linux/
e http://emby.medi mmunity/index.php?/topic/18029-how-

History

#1 - 10/24/2015 08:15 PM - Daniel Curtis
- Status changed from New to In Progress

- Start date changed from 10/24/2015 to 10/25/2015

#2 - 11/15/2015 06:05 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 11/27/2015 03:45 PM - Daniel Curtis

- Status changed from Resolved to Closed

#4 - 07/15/2016 07:36 PM - Daniel Curtis

- Description updated

04/22/2024 22



http://emby.example.com:8096
https://emby.media/downloads/linux-server/
http://dominicm.com/install-emby-server-on-arch-linux/
http://emby.media/community/index.php?/topic/18029-how-to-configure-ssl-support/
http://www.tcpdf.org

